Bug 204163 - Review Request: perl-HTML-FormatText-WithLinks - HTML to text conversion with links as footnotes
Review Request: perl-HTML-FormatText-WithLinks - HTML to text conversion with...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-26 05:11 EDT by Patrice Dumas
Modified: 2014-04-02 08:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-30 06:26:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-08-26 05:11:16 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-HTML-FormatText-WithLinks.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-HTML-FormatText-WithLinks-0.06-1.src.rpm
Description: 

HTML::FormatText::WithLinks takes HTML and turns it into plain text but 
prints all the links in the HTML as footnotes. By default, it attempts 
to mimic the format of the lynx text based web browser's --dump option.
Comment 1 Chris Weyl 2006-08-29 02:07:49 EDT
Package is missing a couple BR's, but is good aside
from that :)  For the purposes of the review I'm assuming they're in there.

Missing:
perl(URI::WithBase)
...for testing:
perl(Test::Pod::Coverage), perl(Test::Pod)

These are the only blockers.

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ source files match upstream:
 77a18dd8ad57d2443827b2458b7e78dd  HTML-FormatText-WithLinks-0.06.tar.gz
 77a18dd8ad57d2443827b2458b7e78dd  HTML-FormatText-WithLinks-0.06.tar.gz.srpm
+ latest version is being packaged.
X BuildRequires are proper.
O package builds cleanly in mock with additional BR's (5/x86_64)
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl-HTML-FormatText-WithLinks-0.06-1.fc5.noarch.rpm
 == rpmlint
 == provides
 perl(HTML::FormatText::WithLinks) = 0.06
 perl-HTML-FormatText-WithLinks = 0.06-1.fc5
 == requires
 perl(:MODULE_COMPAT_5.8.8)
 perl(HTML::TreeBuilder)
 perl(URI::WithBase)
 perl(base)
 perl(strict)
 perl(vars)
+ no shared libraries are present.
+ package is not relocatable.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ %clean is present.
+ %check is present and all tests pass:
 All tests successful.
 Files=15, Tests=62,  2 wallclock secs ( 1.46 cusr +  0.48 csys =  1.94 CPU)
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
+ not a web app.
Comment 2 Patrice Dumas 2006-08-29 05:26:03 EDT
New srpm available
- added BuildRequires for tests
http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-HTML-FormatText-WithLinks-0.06-2.src.rpm
Comment 3 Chris Weyl 2006-08-29 10:53:22 EDT
APPROVED
Comment 4 Patrice Dumas 2006-08-30 06:26:25 EDT
built in devel, FC-5 branch asked, owners.list updated.

Thanks.
Comment 5 Marcela Mašláňová 2012-11-22 02:16:43 EST
Package Change Request
======================
Package Name: perl-HTML-FormatText-WithLinks
New Branches: el6
Owners: mmaslano
Comment 6 Jon Ciesla 2012-11-22 09:12:59 EST
Git done (by process-git-requests).
Comment 7 Ruediger Landmann 2014-03-03 21:58:51 EST
Package Change Request
======================
Package Name: perl-HTML-FormatText-WithLinks
New Branches: el6
Owners: mmaslano rlandmann


Note: Current el6 owner unresponsive (since February 4) but has allowed me to maintain el6 branches for other packages of hers
Comment 8 Jon Ciesla 2014-03-06 07:55:30 EST
Branch already exists with this ownership.
Comment 9 Ruediger Landmann 2014-03-31 19:05:02 EDT
(In reply to Jon Ciesla from comment #8)
> Branch already exists with this ownership.

Jon, can you please re-check? The package database tells a different story

https://admin.fedoraproject.org/pkgdb/acls/name/perl-HTML-FormatText-WithLinks

and I can't check sources into that branch:

To ssh://rlandmann@pkgs.fedoraproject.org/perl-HTML-FormatText-WithLinks
 ! [remote rejected] el6 -> el6 (hook declined)

(although I can commit to el5 just fine, as expected)
Comment 10 Jon Ciesla 2014-04-01 08:18:39 EDT
mmaslano has not yet approved your commit access.
Comment 11 Marcela Mašláňová 2014-04-01 08:41:21 EDT
I marked myself as not interested in EPEL. You can give him access.
Comment 12 Marcela Mašláňová 2014-04-02 08:23:47 EDT
(In reply to Ruediger Landmann from comment #9)
> (In reply to Jon Ciesla from comment #8)
> > Branch already exists with this ownership.
> 
> Jon, can you please re-check? The package database tells a different story
> 
> https://admin.fedoraproject.org/pkgdb/acls/name/perl-HTML-FormatText-
> WithLinks
> 
> and I can't check sources into that branch:
> 
> To ssh://rlandmann@pkgs.fedoraproject.org/perl-HTML-FormatText-WithLinks
>  ! [remote rejected] el6 -> el6 (hook declined)
> 
> (although I can commit to el5 just fine, as expected)

I just orphaned the branch, feel free to take it.

Note You need to log in before you can comment on or make changes to this bug.